## frugally-deep 0.15.20

=== test/CMakeLists.txt ===
message(STATUS "Building Unit Tests ${UNITTEST}")

add_custom_command ( OUTPUT test_model_exhaustive.h5
                     COMMAND bash -c "python3 ${FDEEP_TOP_DIR}/keras_export/generate_test_models.py exhaustive test_model_exhaustive.h5"
                     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/)

add_custom_command ( OUTPUT test_model_embedding.h5
                     COMMAND bash -c "python3 ${FDEEP_TOP_DIR}/keras_export/generate_test_models.py embedding test_model_embedding.h5"
                     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/)

add_custom_command ( OUTPUT test_model_recurrent.h5
                     COMMAND bash -c "python3 ${FDEEP_TOP_DIR}/keras_export/generate_test_models.py recurrent test_model_recurrent.h5"
                     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/)

add_custom_command ( OUTPUT test_model_lstm.h5
                     COMMAND bash -c "python3 ${FDEEP_TOP_DIR}/keras_export/generate_test_models.py lstm test_model_lstm.h5"
                     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/)

add_custom_command ( OUTPUT test_model_lstm_stateful.h5
                     COMMAND bash -c "python3 ${FDEEP_TOP_DIR}/keras_export/generate_test_models.py lstm_stateful test_model_lstm_stateful.h5"
                     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/)

add_custom_command ( OUTPUT test_model_gru.h5
                     COMMAND bash -c "python3 ${FDEEP_TOP_DIR}/keras_export/generate_test_models.py gru test_model_gru.h5"
                     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/)

add_custom_command ( OUTPUT test_model_gru_stateful.h5
                     COMMAND bash -c "python3 ${FDEEP_TOP_DIR}/keras_export/generate_test_models.py gru_stateful test_model_gru_stateful.h5"
                     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/)

add_custom_command ( OUTPUT test_model_variable.h5
                     COMMAND bash -c "python3 ${FDEEP_TOP_DIR}/keras_export/generate_test_models.py variable test_model_variable.h5"
                     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/)

add_custom_command ( OUTPUT test_model_sequential.h5
                     COMMAND bash -c "python3 ${FDEEP_TOP_DIR}/keras_export/generate_test_models.py sequential test_model_sequential.h5"
                     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/)

add_custom_command ( OUTPUT readme_example_model.h5
                     COMMAND bash -c "python3 ${FDEEP_TOP_DIR}/test/readme_example_generate.py"
                     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/)

add_custom_command ( OUTPUT test_model_exhaustive.json
                     DEPENDS test_model_exhaustive.h5
                     COMMAND bash -c "python3 ${FDEEP_TOP_DIR}/keras_export/convert_model.py test_model_exhaustive.h5 test_model_exhaustive.json"
                     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/)

add_custom_command ( OUTPUT test_model_embedding.json
                     DEPENDS test_model_embedding.h5
                     COMMAND bash -c "python3 ${FDEEP_TOP_DIR}/keras_export/convert_model.py test_model_embedding.h5 test_model_embedding.json"
                     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/)

add_custom_command ( OUTPUT test_model_recurrent.json
                     DEPENDS test_model_recurrent.h5
                     COMMAND bash -c "python3 ${FDEEP_TOP_DIR}/keras_export/convert_model.py test_model_recurrent.h5 test_model_recurrent.json"
                     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/)

add_custom_command ( OUTPUT test_model_lstm.json
                     DEPENDS test_model_lstm.h5
                     COMMAND bash -c "python3 ${FDEEP_TOP_DIR}/keras_export/convert_model.py test_model_lstm.h5 test_model_lstm.json"
                     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/)

add_custom_command ( OUTPUT test_model_lstm_stateful.json
                     DEPENDS test_model_lstm_stateful.h5
                     COMMAND bash -c "python3 ${FDEEP_TOP_DIR}/keras_export/convert_model.py test_model_lstm_stateful.h5 test_model_lstm_stateful.json"
                     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/)

add_custom_command ( OUTPUT test_model_gru.json
                     DEPENDS test_model_gru.h5
                     COMMAND bash -c "python3 ${FDEEP_TOP_DIR}/keras_export/convert_model.py test_model_gru.h5 test_model_gru.json"
                     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/)

add_custom_command ( OUTPUT test_model_gru_stateful.json
                     DEPENDS test_model_gru_stateful.h5
                     COMMAND bash -c "python3 ${FDEEP_TOP_DIR}/keras_export/convert_model.py test_model_gru_stateful.h5 test_model_gru_stateful.json"
                     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/)

add_custom_command ( OUTPUT test_model_variable.json
                     DEPENDS test_model_variable.h5
                     COMMAND bash -c "python3 ${FDEEP_TOP_DIR}/keras_export/convert_model.py test_model_variable.h5 test_model_variable.json"
                     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/)

add_custom_command ( OUTPUT test_model_sequential.json
                     DEPENDS test_model_sequential.h5
                     COMMAND bash -c "python3 ${FDEEP_TOP_DIR}/keras_export/convert_model.py test_model_sequential.h5 test_model_sequential.json"
                     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/)

add_custom_command ( OUTPUT readme_example_model.json
                     DEPENDS readme_example_model.h5
                     COMMAND bash -c "python3 ${FDEEP_TOP_DIR}/keras_export/convert_model.py readme_example_model.h5 readme_example_model.json"
                     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/)

hunter_add_package(doctest)
find_package(doctest CONFIG REQUIRED)

macro(_add_test _NAME _DEPENDS)
    add_custom_target(${_NAME}_data DEPENDS ${_DEPENDS})
    add_executable(${_NAME} ${_NAME}.cpp)
    add_dependencies(${_NAME} ${_NAME}_data)
    add_test(NAME ${_NAME} COMMAND ${_NAME})
    target_link_libraries(${_NAME} fdeep Threads::Threads doctest::doctest)
endmacro()

_add_test(test_model_exhaustive_test test_model_exhaustive.json)
_add_test(test_model_embedding_test test_model_embedding.json)
_add_test(test_model_recurrent_test test_model_recurrent.json)
_add_test(test_model_lstm_test test_model_lstm.json)
_add_test(test_model_lstm_stateful_test test_model_lstm_stateful.json)
_add_test(test_model_gru_test test_model_gru.json)
_add_test(test_model_gru_stateful_test test_model_gru_stateful.json)
_add_test(test_model_variable_test test_model_variable.json)
_add_test(test_model_sequential_test test_model_sequential.json)
_add_test(readme_example_main readme_example_model.json)

add_custom_target(unittest
  COMMAND test_model_exhaustive_test
  COMMAND test_model_embedding_test
  COMMAND test_model_recurrent_test
  COMMAND test_model_lstm_test
  COMMAND test_model_lstm_stateful_test
  COMMAND test_model_gru_test
  COMMAND test_model_gru_stateful_test
  COMMAND test_model_variable_test
  COMMAND test_model_sequential_test
  COMMAND readme_example_main

  COMMENT "Running unittests\n\n"
  VERBATIM
)

=== debian/changelog ===
frugally-deep (0.15.20-2) unstable; urgency=medium

  * Set upstream metadata fields: Repository.

 -- Andrius Merkys <merkys@debian.org>  Mon, 10 Jul 2023 01:38:06 -0400

frugally-deep (0.15.20-1) unstable; urgency=medium

  * Initial release. (Closes: #1039466)

 -- Andrius Merkys <merkys@debian.org>  Mon, 26 Jun 2023 06:25:33 -0400

## frugally-deep 0.15.21

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2)

set(FDEEP_TOP_DIR ${CMAKE_CURRENT_LIST_DIR})

list(APPEND CMAKE_MODULE_PATH "${FDEEP_TOP_DIR}/cmake")

include(cmake/hunter.cmake) # default off

project(frugally-deep VERSION 0.15.20)

message(STATUS "===( ${PROJECT_NAME} ${PROJECT_VERSION} )===")

option(FDEEP_BUILD_UNITTEST "Build unit tests" OFF)
option(FDEEP_USE_TOOLCHAIN "Use external toolchain" OFF)
option(FDEEP_USE_DOUBLE "Use double precision" OFF)

if(NOT FDEEP_USE_TOOLCHAIN)
  include(cmake/toolchain.cmake)
endif()

add_library(fdeep INTERFACE)
add_library(${PROJECT_NAME}::fdeep ALIAS fdeep)
target_include_directories(fdeep INTERFACE
  $<BUILD_INTERFACE:${CMAKE_CURRENT_LIST_DIR}/include>
  )

if(FDEEP_USE_DOUBLE)
  target_compile_definitions(fdeep INTERFACE FDEEP_FLOAT_TYPE=double)
endif()

find_package(Threads REQUIRED)
target_link_libraries(fdeep INTERFACE Threads::Threads)

hunter_add_package(FunctionalPlus)   # default noop
if(NOT TARGET FunctionalPlus::fplus) # if not used via subdirectory
  find_package(FunctionalPlus CONFIG REQUIRED)
endif()
target_link_libraries(fdeep INTERFACE FunctionalPlus::fplus)

hunter_add_package(Eigen)    # default noop
if(NOT TARGET Eigen3::Eigen) # if not used via subdirectory
    find_package(Eigen3 CONFIG REQUIRED)
endif()
target_link_libraries(fdeep INTERFACE Eigen3::Eigen)

hunter_add_package(nlohmann_json) # default noop
if(NOT TARGET nlohmann_json)      # if not used via subdirectory
    find_package(nlohmann_json CONFIG REQUIRED)
endif()
target_link_libraries(fdeep INTERFACE nlohmann_json)

if(FDEEP_BUILD_UNITTEST)
    enable_testing()
    subdirs(test)
endif()

# pkgconfig installation:
include(cmake/pkgconfig.cmake)

=== test/CMakeLists.txt ===
message(STATUS "Building Unit Tests ${UNITTEST}")

# look for Python3
find_package(Python3 COMPONENTS Interpreter Development REQUIRED)
 # Please make sure that Python3 and Tensorflow have been installed correctly.
message(STATUS "Please make sure Tensorflow is installed.")
add_custom_command ( OUTPUT test_model_exhaustive.h5
                     COMMAND bash -c "${Python3_EXECUTABLE} ${FDEEP_TOP_DIR}/keras_export/generate_test_models.py exhaustive test_model_exhaustive.h5"
                     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/)

add_custom_command ( OUTPUT test_model_embedding.h5
                     COMMAND bash -c "${Python3_EXECUTABLE} ${FDEEP_TOP_DIR}/keras_export/generate_test_models.py embedding test_model_embedding.h5"
                     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/)

add_custom_command ( OUTPUT test_model_recurrent.h5
                     COMMAND bash -c "${Python3_EXECUTABLE} ${FDEEP_TOP_DIR}/keras_export/generate_test_models.py recurrent test_model_recurrent.h5"
                     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/)

add_custom_command ( OUTPUT test_model_lstm.h5
                     COMMAND bash -c "${Python3_EXECUTABLE} ${FDEEP_TOP_DIR}/keras_export/generate_test_models.py lstm test_model_lstm.h5"
                     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/)

add_custom_command ( OUTPUT test_model_lstm_stateful.h5
                     COMMAND bash -c "${Python3_EXECUTABLE} ${FDEEP_TOP_DIR}/keras_export/generate_test_models.py lstm_stateful test_model_lstm_stateful.h5"
                     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/)

add_custom_command ( OUTPUT test_model_gru.h5
                     COMMAND bash -c "${Python3_EXECUTABLE} ${FDEEP_TOP_DIR}/keras_export/generate_test_models.py gru test_model_gru.h5"
                     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/)

add_custom_command ( OUTPUT test_model_gru_stateful.h5
                     COMMAND bash -c "${Python3_EXECUTABLE} ${FDEEP_TOP_DIR}/keras_export/generate_test_models.py gru_stateful test_model_gru_stateful.h5"
                     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/)

add_custom_command ( OUTPUT test_model_variable.h5
                     COMMAND bash -c "${Python3_EXECUTABLE} ${FDEEP_TOP_DIR}/keras_export/generate_test_models.py variable test_model_variable.h5"
                     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/)

add_custom_command ( OUTPUT test_model_sequential.h5
                     COMMAND bash -c "${Python3_EXECUTABLE} ${FDEEP_TOP_DIR}/keras_export/generate_test_models.py sequential test_model_sequential.h5"
                     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/)

add_custom_command ( OUTPUT readme_example_model.h5
                     COMMAND bash -c "${Python3_EXECUTABLE} ${FDEEP_TOP_DIR}/test/readme_example_generate.py"
                     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/)

add_custom_command ( OUTPUT test_model_exhaustive.json
                     DEPENDS test_model_exhaustive.h5
                     COMMAND bash -c "${Python3_EXECUTABLE} ${FDEEP_TOP_DIR}/keras_export/convert_model.py test_model_exhaustive.h5 test_model_exhaustive.json"
                     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/)

add_custom_command ( OUTPUT test_model_embedding.json
                     DEPENDS test_model_embedding.h5
                     COMMAND bash -c "${Python3_EXECUTABLE} ${FDEEP_TOP_DIR}/keras_export/convert_model.py test_model_embedding.h5 test_model_embedding.json"
                     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/)

add_custom_command ( OUTPUT test_model_recurrent.json
                     DEPENDS test_model_recurrent.h5
                     COMMAND bash -c "${Python3_EXECUTABLE} ${FDEEP_TOP_DIR}/keras_export/convert_model.py test_model_recurrent.h5 test_model_recurrent.json"
                     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/)

add_custom_command ( OUTPUT test_model_lstm.json
                     DEPENDS test_model_lstm.h5
                     COMMAND bash -c "${Python3_EXECUTABLE} ${FDEEP_TOP_DIR}/keras_export/convert_model.py test_model_lstm.h5 test_model_lstm.json"
                     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/)

add_custom_command ( OUTPUT test_model_lstm_stateful.json
                     DEPENDS test_model_lstm_stateful.h5
                     COMMAND bash -c "${Python3_EXECUTABLE} ${FDEEP_TOP_DIR}/keras_export/convert_model.py test_model_lstm_stateful.h5 test_model_lstm_stateful.json"
                     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/)

add_custom_command ( OUTPUT test_model_gru.json
                     DEPENDS test_model_gru.h5
                     COMMAND bash -c "${Python3_EXECUTABLE} ${FDEEP_TOP_DIR}/keras_export/convert_model.py test_model_gru.h5 test_model_gru.json"
                     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/)

add_custom_command ( OUTPUT test_model_gru_stateful.json
                     DEPENDS test_model_gru_stateful.h5
                     COMMAND bash -c "${Python3_EXECUTABLE} ${FDEEP_TOP_DIR}/keras_export/convert_model.py test_model_gru_stateful.h5 test_model_gru_stateful.json"
                     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/)

add_custom_command ( OUTPUT test_model_variable.json
                     DEPENDS test_model_variable.h5
                     COMMAND bash -c "${Python3_EXECUTABLE} ${FDEEP_TOP_DIR}/keras_export/convert_model.py test_model_variable.h5 test_model_variable.json"
                     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/)

add_custom_command ( OUTPUT test_model_sequential.json
                     DEPENDS test_model_sequential.h5
                     COMMAND bash -c "${Python3_EXECUTABLE} ${FDEEP_TOP_DIR}/keras_export/convert_model.py test_model_sequential.h5 test_model_sequential.json"
                     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/)

add_custom_command ( OUTPUT readme_example_model.json
                     DEPENDS readme_example_model.h5
                     COMMAND bash -c "${Python3_EXECUTABLE} ${FDEEP_TOP_DIR}/keras_export/convert_model.py readme_example_model.h5 readme_example_model.json"
                     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/)

hunter_add_package(doctest)
find_package(doctest CONFIG REQUIRED)

macro(_add_test _NAME _DEPENDS)
    add_custom_target(${_NAME}_data DEPENDS ${_DEPENDS})
    add_executable(${_NAME} ${_NAME}.cpp)
    add_dependencies(${_NAME} ${_NAME}_data)
    add_test(NAME ${_NAME} COMMAND ${_NAME})
    target_link_libraries(${_NAME} fdeep Threads::Threads doctest::doctest)
endmacro()

_add_test(test_model_exhaustive_test test_model_exhaustive.json)
_add_test(test_model_embedding_test test_model_embedding.json)
_add_test(test_model_recurrent_test test_model_recurrent.json)
_add_test(test_model_lstm_test test_model_lstm.json)
_add_test(test_model_lstm_stateful_test test_model_lstm_stateful.json)
_add_test(test_model_gru_test test_model_gru.json)
_add_test(test_model_gru_stateful_test test_model_gru_stateful.json)
_add_test(test_model_variable_test test_model_variable.json)
_add_test(test_model_sequential_test test_model_sequential.json)
_add_test(readme_example_main readme_example_model.json)

add_custom_target(unittest
  COMMAND test_model_exhaustive_test
  COMMAND test_model_embedding_test
  COMMAND test_model_recurrent_test
  COMMAND test_model_lstm_test
  COMMAND test_model_lstm_stateful_test
  COMMAND test_model_gru_test
  COMMAND test_model_gru_stateful_test
  COMMAND test_model_variable_test
  COMMAND test_model_sequential_test
  COMMAND readme_example_main

  COMMENT "Running unittests\n\n"
  VERBATIM
)

=== debian/changelog ===
frugally-deep (0.15.21-1) unstable; urgency=medium

  * New upstream version 0.15.21

 -- Andrius Merkys <merkys@debian.org>  Tue, 08 Aug 2023 01:26:26 -0400

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DHUNTER_ENABLED=OFF

## frugally-deep 0.16.3

=== debian/changelog ===
frugally-deep (0.16.3-1) unstable; urgency=medium

  * New upstream version 0.16.3

 -- Andrius Merkys <merkys@debian.org>  Fri, 21 Feb 2025 04:32:31 -0500

## frugally-deep 0.17.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 include(cmake/hunter.cmake) # default off
 
-project(frugally-deep VERSION 0.15.20)
+project(frugally-deep VERSION 0.17.1)
 
 message(STATUS "===( ${PROJECT_NAME} ${PROJECT_VERSION} )===")
 
@@ -51,7 +51,7 @@
 
 if(FDEEP_BUILD_UNITTEST)
     enable_testing()
-    subdirs(test)
+    add_subdirectory(test)
 endif()
 
 # pkgconfig installation:

=== debian/changelog ===
frugally-deep (0.17.1-1) unstable; urgency=medium

  * New upstream version 0.17.1

 -- Andrius Merkys <merkys@debian.org>  Tue, 18 Mar 2025 11:54:46 -0400

## frugally-deep 0.18.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 include(cmake/hunter.cmake) # default off
 
-project(frugally-deep VERSION 0.17.1)
+project(frugally-deep VERSION 0.18.0)
 
 message(STATUS "===( ${PROJECT_NAME} ${PROJECT_VERSION} )===")

=== test/CMakeLists.txt ===
message(STATUS "Building Unit Tests ${UNITTEST}")

# look for Python3
find_package(Python3 COMPONENTS Interpreter Development REQUIRED)
 # Please make sure that Python3 and Tensorflow have been installed correctly.
message(STATUS "Please make sure Tensorflow is installed.")
add_custom_command ( OUTPUT test_model_exhaustive.keras
                     COMMAND bash -c "${Python3_EXECUTABLE} ${FDEEP_TOP_DIR}/keras_export/generate_test_models.py exhaustive test_model_exhaustive.keras"
                     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/)

add_custom_command ( OUTPUT test_model_embedding.keras
                     COMMAND bash -c "${Python3_EXECUTABLE} ${FDEEP_TOP_DIR}/keras_export/generate_test_models.py embedding test_model_embedding.keras"
                     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/)

add_custom_command ( OUTPUT test_model_variable.keras
                     COMMAND bash -c "${Python3_EXECUTABLE} ${FDEEP_TOP_DIR}/keras_export/generate_test_models.py variable test_model_variable.keras"
                     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/)

add_custom_command ( OUTPUT test_model_autoencoder.keras
                     COMMAND bash -c "${Python3_EXECUTABLE} ${FDEEP_TOP_DIR}/keras_export/generate_test_models.py autoencoder test_model_autoencoder.keras"
                     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/)

add_custom_command ( OUTPUT test_model_sequential.keras
                     COMMAND bash -c "${Python3_EXECUTABLE} ${FDEEP_TOP_DIR}/keras_export/generate_test_models.py sequential test_model_sequential.keras"
                     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/)

add_custom_command ( OUTPUT readme_example_model.keras
                     COMMAND bash -c "${Python3_EXECUTABLE} ${FDEEP_TOP_DIR}/test/readme_example_generate.py"
                     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/)

add_custom_command ( OUTPUT test_model_exhaustive.json
                     DEPENDS test_model_exhaustive.keras
                     COMMAND bash -c "${Python3_EXECUTABLE} ${FDEEP_TOP_DIR}/keras_export/convert_model.py test_model_exhaustive.keras test_model_exhaustive.json"
                     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/)

add_custom_command ( OUTPUT test_model_embedding.json
                     DEPENDS test_model_embedding.keras
                     COMMAND bash -c "${Python3_EXECUTABLE} ${FDEEP_TOP_DIR}/keras_export/convert_model.py test_model_embedding.keras test_model_embedding.json"
                     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/)

add_custom_command ( OUTPUT test_model_variable.json
                     DEPENDS test_model_variable.keras
                     COMMAND bash -c "${Python3_EXECUTABLE} ${FDEEP_TOP_DIR}/keras_export/convert_model.py test_model_variable.keras test_model_variable.json"
                     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/)

add_custom_command ( OUTPUT test_model_autoencoder.json
                     DEPENDS test_model_autoencoder.keras
                     COMMAND bash -c "${Python3_EXECUTABLE} ${FDEEP_TOP_DIR}/keras_export/convert_model.py test_model_autoencoder.keras test_model_autoencoder.json"
                     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/)

add_custom_command ( OUTPUT test_model_sequential.json
                     DEPENDS test_model_sequential.keras
                     COMMAND bash -c "${Python3_EXECUTABLE} ${FDEEP_TOP_DIR}/keras_export/convert_model.py test_model_sequential.keras test_model_sequential.json"
                     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/)

add_custom_command ( OUTPUT readme_example_model.json
                     DEPENDS readme_example_model.keras
                     COMMAND bash -c "${Python3_EXECUTABLE} ${FDEEP_TOP_DIR}/keras_export/convert_model.py readme_example_model.keras readme_example_model.json"
                     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/)

hunter_add_package(doctest)
find_package(doctest CONFIG REQUIRED)

macro(_add_test _NAME _DEPENDS)
    add_custom_target(${_NAME}_data DEPENDS ${_DEPENDS})
    add_executable(${_NAME} ${_NAME}.cpp)
    add_dependencies(${_NAME} ${_NAME}_data)
    add_test(NAME ${_NAME} COMMAND ${_NAME})
    target_link_libraries(${_NAME} fdeep Threads::Threads doctest::doctest)
endmacro()

_add_test(test_model_exhaustive_test test_model_exhaustive.json)
_add_test(test_model_embedding_test test_model_embedding.json)
_add_test(test_model_variable_test test_model_variable.json)
_add_test(test_model_autoencoder_test test_model_autoencoder.json)
_add_test(test_model_sequential_test test_model_sequential.json)
_add_test(readme_example_main readme_example_model.json)

add_custom_target(unittest
  COMMAND test_model_exhaustive_test
  COMMAND test_model_embedding_test
  COMMAND test_model_variable_test
  COMMAND test_model_autoencoder_test
  COMMAND test_model_sequential_test
  COMMAND readme_example_main

  COMMENT "Running unittests\n\n"
  VERBATIM
)

=== debian/changelog ===
frugally-deep (0.18.0-1) unstable; urgency=medium

  * Upload to unstable.
  * Bump cmake_minimum_required (Closes: #1112937)

 -- Andrius Merkys <merkys@debian.org>  Mon, 01 Sep 2025 04:57:26 -0400

frugally-deep (0.18.0-1~exp1) experimental; urgency=medium

  * New upstream version 0.18.0

 -- Andrius Merkys <merkys@debian.org>  Fri, 25 Apr 2025 07:31:19 -0400

=== debian/control ===
Source: frugally-deep
Section: libdevel
Priority: optional
Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libeigen3-dev,
 libfplus-dev,
 nlohmann-json3-dev,
Standards-Version: 4.6.2
Homepage: https://github.com/Dobiasd/frugally-deep
Vcs-Browser: https://salsa.debian.org/debichem-team/frugally-deep
Vcs-Git: https://salsa.debian.org/debichem-team/frugally-deep.git

Package: libfdeep-dev
Architecture: all
Depends:
 ${misc:Depends},
Description: use Keras models in C++
 frugally-deep is a small header-only library written in modern and pure C++.
 It supports inference for sequential models and computational graphs with a
 more complex topology, created with the functional API. It re-implements a
 small subset of TensorFlow, i.e., the operations needed to support prediction.
 frugally-deep results in a much smaller binary size than linking against
 TensorFlow. It avoids temporarily allocating additional RAM during
 convolutions (by not materializing the im2col input matrix).

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_LIBDIR=lib -DHUNTER_ENABLED=OFF

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%,uversionmangle=s/-p0$//" \
 https://github.com/Dobiasd/frugally-deep/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## frugally-deep 0.18.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 include(cmake/hunter.cmake) # default off
 
-project(frugally-deep VERSION 0.18.0)
+project(frugally-deep VERSION 0.18.2)
 
 message(STATUS "===( ${PROJECT_NAME} ${PROJECT_VERSION} )===")

=== debian/changelog ===
frugally-deep (0.18.2-1) unstable; urgency=medium

  * New upstream version 0.18.2
  * Set the CMAKE_POLICY_VERSION_MINIMUM via debian/rules instead of
    a patch.

 -- Andrius Merkys <merkys@debian.org>  Mon, 10 Nov 2025 08:38:29 -0500

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_LIBDIR=lib -DHUNTER_ENABLED=OFF -DCMAKE_POLICY_VERSION_MINIMUM=3.5
